Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.6
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.tools.groovydoc
[Java] Class MockOutputTool

    java.lang.Object
      org.codehaus.groovy.tools.groovydoc.MockOutputTool

All Implemented Interfaces:
  OutputTool

    public class MockOutputTool
    extends Object

Constructor Summary
`MockOutputTool()`

Method Summary
`String` | `getText(String fileName)`
`boolean` | `isValidOutputArea(String fileName)`
`void` | `makeOutputArea(String filename)`
`String` | `toString()`
`void` | `writeToOutput(String fileName, String text)`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### MockOutputTool

    public MockOutputTool()

Method Detail

### getText

    public String getText(String fileName)

### isValidOutputArea

    public boolean isValidOutputArea(String fileName)

### makeOutputArea

    public void makeOutputArea(String filename)

### toString

    public String toString()

### writeToOutput

    public void writeToOutput(String fileName, String text)

Copyright © 2003-2010 The Codehaus. All rights reserved.